<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <!-- Responsive meta tags -->
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, shrink-to-fit=no"
    />

    <title>Bootstrap Grid System</title>

    <!-- Bootstra CSS -->
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css"
      integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn"
      crossorigin="anonymous"
    />
  </head>

  <body>
    <h1 class="text-center text-white bg-danger">Bootstrap Grid System</h1>

    <div class="container">
      <div class="row">
        <div class="bg-primary border border-dark col-md-8">
          Lorem ipsum dolor, sit amet consectetur adipisicing elit. Culpa
          officiis praesentium odio, quidem, deserunt sequi dolor cumque
          perspiciatis enim, illo asperiores nisi ex obcaecati voluptate!
          Accusantium, repudiandae ipsum! Dolorem, dicta?
        </div>
        <div class="bg-danger border border-dark col-md-4">
          Lorem ipsum dolor sit amet consectetur adipisicing elit. Similique sed
          voluptatum eum numquam qui dolor, dolore nobis temporibus dolorum in
          doloremque esse, neque expedita accusamus nulla delectus facilis ad
          sapiente.
        </div>
      </div>
    </div>

    <div class="container bg-dark mt-4">
      <h2 class="text-center text-white">Row in Container</h2>
      <div class="row">
        <div class="col-6 border border-dark bg-primary">Colum 6 out of 12</div>
        <div class="col-6 border border-dark bg-primary">Colum 6 out of 12</div>
      </div>
    </div>

    <div class="container bg-dark mt-4">
      <h2 class="text-center text-white">Row in Container</h2>
      <div class="row">
        <div class="col-6 border border-dark bg-success">Colum 6 out of 12</div>
        <div class="col-3 border border-dark bg-primary">Colum 3 out of 12</div>
        <div class="col-3 border border-dark bg-info">Colum 3 out of 12</div>
      </div>
    </div>

    <div class="container bg-dark mt-4">
      <h2 class="text-center text-white">Mini #1 Activity</h2>
      <div class="row">
        <div class="col-8 border border-dark bg-primary">
          Lorem ipsum dolor sit amet consectetur adipisicing elit. Quis officia
          aliquam officiis quo obcaecati nam cum sapiente magni nostrum
          consectetur beatae delectus, eum est esse necessitatibus id ex error
          minus.
        </div>
        <div class="col-2 border border-dark bg-danger">
          Lorem ipsum, dolor sit amet consectetur adipisicing elit. Adipisci
          atque obcaecati hic a, labore, ut illo totam est inventore repudiandae
          velit! Laboriosam illum aperiam quaerat culpa non necessitatibus,
          eveniet sapiente.
        </div>
        <div class="col-2 border border-dark bg-success">
          Lorem ipsum dolor sit amet consectetur adipisicing elit. Dolore illo
          aliquam itaque molestias quasi, repellendus aut eligendi expedita
          recusandae quo magnam, quaerat voluptates? Maiores commodi nihil quos
          blanditiis perspiciatis nostrum?
        </div>
      </div>
    </div>

    <div class="container bg-dark mt-5">
      <h2 class="text-center text-white">Mini #2 Activity</h2>
      <div class="row">
        <div class="col-3 offset-2 border border-dark">
          <img
            class="img-fluid"
            src="https://i.pinimg.com/474x/ec/32/45/ec324549310ed4c5966ffe05f718e66c.jpg"
            alt=""
          />
        </div>
        <div class="col-5 border border-dark bg-danger text-white">
          <h2>Yusuke Urameshi</h2>
          <p>
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Adipisci
            atque obcaecati hic a, labore, ut illo totam est inventore
            repudiandae velit! Laboriosam illum aperiam quaerat culpa non
            necessitatibus, eveniet sapiente.
          </p>
        </div>
      </div>
    </div>

    <div class="container mt-5">
      <h2 class="text-center bg-danger text-white">Offset</h2>
      <div class="row">
        <div class="col-1 offset-3 bg-dark border border-dark text-white">
          Lorem, ipsum dolor sit amet consectetur adipisicing elit. Accusamus
          porro modi dolorem odit adipisci pariatur illo expedita non quaerat
          perferendis, quas maxime aliquid veniam aliquam. Nobis, totam modi?
          Veritatis, nihil.
        </div>
        <div class="col-2 offset-1 bg-dark border border-dark text-white">
          Lorem, ipsum dolor sit amet consectetur adipisicing elit. Accusamus
          porro modi dolorem odit adipisci pariatur illo expedita non quaerat
          perferendis, quas maxime aliquid veniam aliquam. Nobis, totam modi?
          Veritatis, nihil.
        </div>
        <div class="col-2 offset-4 bg-dark border border-dark text-white">
          Lorem, ipsum dolor sit amet consectetur adipisicing elit. Accusamus
          porro modi dolorem odit adipisci pariatur illo expedita non quaerat
          perferendis, quas maxime aliquid veniam aliquam. Nobis, totam modi?
          Veritatis, nihil.
        </div>
      </div>
    </div>

    <div class="container mt-5">
      <h2 class="text-center bg-danger text-white">
        Mini Activity #3 - Offset
      </h2>
      <div class="row">
        <div class="col-2 offset-5 bg-dark border border-dark text-white">
          <img
            class="img-fluid"
            src="https://cdn.theatlantic.com/thumbor/pw4nRHmVwizV5kJBsUO5aiE39dU=/1500x1004/media/img/photo/2018/10/images-of-the-season-fall-is-in-the/f02_RTX6EJJJ/original.jpg"
            alt=""
          />
        </div>
      </div>
      <div class="row">
        <div class="col-2 offset-5 bg-dark border border-dark text-white">
          <h2 class="text-center">Offset</h2>
        </div>
      </div>
      <div class="row">
        <div class="col-4 offset-4 bg-dark border border-dark text-white">
          <p class="text-center">
            Lorem ipsum dolor, sit amet consectetur adipisicing elit. Ipsam illo
            sapiente ab corrupti quasi incidunt velit voluptatibus dolor,
            voluptatum quidem labore dicta. Tempore sint architecto asperiores
            debitis magni saepe rerum?
          </p>
        </div>
      </div>
    </div>

    <div class="container bg-dark mt-5">
      <div class="row">
        <div class="col-md-3 col-6 bg-warning p-5 border border-dark">
          Mini Activity
        </div>
        <div class="col-md-3 col-6 bg-warning p-5 border border-dark">
          Mini Activity
        </div>
        <div class="col-md-3 col-6 bg-warning p-5 border border-dark">
          Mini Activity
        </div>
        <div class="col-md-3 col-6 bg-warning p-5 border border-dark">
          Mini Activity
        </div>
      </div>
    </div>

    <div class="container mt-5">
      <h2 class="text-center">Column Orders</h2>
      <div class="row">
        <div
          class="col-12 col-md-4 border border-dark p-5 bg-warning order-3 order-md-1"
        >
          Lebron James
        </div>
        <div
          class="col-12 col-md-4 border border-dark p-5 bg-dark order-2 order-md-3"
        >
          Steph Curry
        </div>
        <div
          class="col-12 col-md-4 border border-dark p-5 bg-primary order-1 order-md-2"
        >
          Kevin Durant
        </div>
      </div>
    </div>
  </body>
</html>
